Bug 13280 - Initialize type = SID_NAME_UNKNOWN in wb_lookupsids_single_done()
Initialize type = SID_NAME_UNKNOWN in wb_lookupsids_single_done()
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13287
  Show dependency treegraph
 
Reported: 2018-02-19 15:38 UTC by Ralph Böhme
Modified: 2018-05-07 07:07 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (1.16 KB, patch)
2018-02-27 10:13 UTC, Ralph Böhme
metze: review+
Details
Patch for v4-7-test (1.15 KB, patch)
2018-04-17 06:18 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-02-19 15:38:32 UTC
We check for !NT_STATUS_LOOKUP_ERR(), but wb_lookupsid_recv() only initializes the results together with NT_STATUS_OK.
Comment 1 Ralph Böhme 2018-02-27 10:13:18 UTC
Created attachment 13987 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:23:26 UTC
Pushed to autobuild-v4-8-test. But needs backport to older versions.
Comment 3 Karolin Seeger 2018-02-28 11:42:50 UTC
Pushed to v4-8-test.
Comment 4 Karolin Seeger 2018-03-22 20:48:47 UTC
Re-assigning to Metze for backports.
Comment 5 Stefan Metzmacher 2018-04-17 06:18:20 UTC
Created attachment 14148 [details]
Patch for v4-7-test
Comment 6 Ralph Böhme 2018-04-20 10:30:21 UTC
Reassinging to Karolin for inclusion in 4.7 (already in 4.8).
Comment 7 Karolin Seeger 2018-04-25 06:39:19 UTC
(In reply to Ralph Böhme from comment #6)
Pushed to autobuild-v4-7-test.
Comment 8 Karolin Seeger 2018-05-07 07:07:58 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-7-test.
Closing out bug report.

Thanks!